<template>
  <div class="deals"
       :style="{
          paddingRight: showUser && '0!important',
          paddingLeft: showUser && '0!important'
       }"
  >
    <div v-show="!showUser">
      <v-container>
        <v-row class="py-5" justify="center" mb="3">
          <v-col v-for="notification in notifications" :key="notification.id">
            <v-card class="px-8 py-4 justify-center align-center text-center" color="#DEF7E2">
              <v-icon class="mr-1">mdi-information-outline</v-icon>
              {{notification.title}}
            </v-card>
          </v-col>
        </v-row>
      </v-container>
      <div class="deals-title d-flex flex-wrap">
        <div class="__title">Сделки</div>
        <div class="deals-btn-wrap ml-auto">
          <v-dialog
            v-model="dialog"
            width="500"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                color="#E6F0FF"
                elevation="2"
                raised
                v-bind="attrs"
                v-on="on"
                class="mr-2"
              >
                <v-icon color="#9EACC0">mdi-dots-vertical</v-icon>
                Колонки
              </v-btn>
            </template>

            <v-card class="pa-5">
              <v-card-title class="text-h5">
                Колонки
              </v-card-title>
              <v-divider class="mb-5"></v-divider>
              <v-card-text>
                <v-checkbox
                  v-model="selected"
                  v-for="column in columns"
                  :key="column.id"
                  :label="column.title"
                  :value="column.id"
                  class="ma-0 pa-0"
                  style="height: 30px"
                ></v-checkbox>
              </v-card-text>

              <v-divider></v-divider>

              <v-card-actions>
                <v-btn
                  color="primary"
                  elevation="2"
                  raised
                  @click="dialog = false"
                  class="mx-auto"
                >
                  Применить
                </v-btn>
              </v-card-actions>
            </v-card>
          </v-dialog>
          <v-btn
            color="primary"
            elevation="2"
            raised
          >
            Добавить сделку
            <v-icon color="#fff">mdi-plus</v-icon>
          </v-btn>
        </div>
      </div>
      <section class="table">
        <div class="table-wrap">
          <table style="padding-left: 50px">
            <tr>
              <th>
                Название
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Ответственный
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Сайт
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container input-select">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <div
                        disabled
                        v-bind="attrs"
                        v-on="on"
                      ></div>
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Клиент
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Город
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Статус
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Бюджет
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
              <th>
                Изменения
                <div class="icon-wrap">
                  <img src="../assets/img/general/menu-up.svg" alt="">
                  <img src="../assets/img/general/menu-down.svg" alt="">
                </div>
                <div class="input-container">
                  <v-menu
                    bottom
                    offset-y
                  >
                    <template v-slot:activator="{ on, attrs }">
                      <input type="text"
                             v-bind="attrs"
                             v-on="on"
                      >
                    </template>
                    <v-list>
                      <v-list-item
                        v-for="(item, i) in items"
                        :key="i"
                        @click="() => {}"
                      >
                        <v-list-item-title>{{ item.title }}</v-list-item-title>
                      </v-list-item>
                    </v-list>
                  </v-menu>
                </div>
              </th>
            </tr>
            <tr>
              <td>Афанасий, фары</td>
              <td>Евгений Шельмин</td>
              <td>websitedomain.ru</td>
              <td><a href="tel:+79991234567">79991234567</a><br>
                <a href="mailto:afanasiy@domain.com">afanasiy@domain.com</a></td>
              <td>Санкт-Петербург</td>
              <td>
                <v-menu
                  bottom
                  offset-y
                >
                  <template v-slot:activator="{ on, attrs }">
                  <span class="contact"
                        v-bind="attrs"
                        v-on="on"
                  >Получен контакт</span>
                  </template>
                  <v-list>
                    <v-list-item
                      v-for="(tag, i) in tags"
                      :key="i"
                      @click="() => {}"
                    >
                      <v-list-item-title style="line-height: inherit!important;">
                      <span
                        :style="{
                          backgroundColor: tag.color
                        }"
                        class="contact"
                      >
                        {{ tag.title }}
                      </span>
                      </v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </td>
              <td><span class="color-red">не указано</span></td>
              <td>16.04.2020 15:10</td>
              <td>
                <img src="../assets/img/general/show.svg" alt="" title="Просмотр" @click="showUser = true">
                <img src="../assets/img/general/urn.svg" alt="" title="Удалить">
              </td>
            </tr>
          </table>
        </div>
        <div class="table-footer">
          <v-row class="align-center table-footer-wrap">
            <v-col cols="3" >Записи с 1 по 10 из 56</v-col>
            <v-col cols="2" class="d-flex align-center">
              Выводить по
              <div
                :class="{'_active': select}"
                class="select-wrap"
              >
                <select @click="select = !select" name="" id="">
                  <option value="10">10</option>
                  <option value="15">15</option>
                  <option value="20">20</option>
                </select>
              </div>
            </v-col>
            <v-col cols="7">
              <div class="text-center float-right">
                <div class="pagination">
                  <ul>
                    <li><v-icon>mdi-chevron-left</v-icon></li>
                    <li>1</li>
                    <li>2</li>
                    <li>3</li>
                    <li><v-icon>mdi-chevron-right</v-icon></li>
                  </ul>
                </div>
              </div>
            </v-col>
          </v-row>
        </div>
      </section>
      <div class="deal-footer" v-if="selected.length >= 1">
        <v-row>
          <v-col cols="2" class="align-center" style="min-width: 150px">
            <input type="checkbox" disabled checked :value="selected.length">
            <span style="margin: 0 10px">{{selected.length}}</span>
            <span>{{selected.length === 1? 'Сделка' : 'Сделки'}}</span>
          </v-col>
          <v-divider
            class="deal-footer-tabs"
            vertical
            color="#fff"
          ></v-divider>
          <v-col class="deal-footer-tabs" cols="2">
            <v-icon color="#fff">mdi-trash-can-outline</v-icon>
            Удалить
          </v-col>
          <v-col class="deal-footer-tabs" cols="3">
            <v-icon color="#fff">mdi-dots-vertical</v-icon>
            Сменить ответственного
          </v-col>
          <v-col class="deal-footer-tabs" cols="2">
            <v-icon color="#fff">mdi-dots-vertical</v-icon>
            Сменить статус
          </v-col>
          <v-col class="deal-footer-tabs">
            <img style="margin: 4px 10px 0 0" src="../assets/img/general/xls.svg" alt="">
            Выгрузить .xls
          </v-col>
        </v-row>
        <v-menu
          class="mobile-tabs"
          bottom
          offset-y
        >
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              v-bind="attrs"
              v-on="on"
              width="175px"
              class="mobile-tabs mr-4"
            >Действия <v-icon>mdi-chevron-down</v-icon></v-btn>
          </template>
          <v-list>
            <v-list-item
              v-for="tab in tabs"
              :key="tab.id"
            >
              <v-btn
                :class="{'_active':activeTab === tab.id}"
                class="deals-tab"
                text
                @click="activeTab = tab.id"
              >
                {{tab.title}}
              </v-btn>
            </v-list-item>
          </v-list>
        </v-menu>
      </div>
    </div>
    <User v-if="showUser"/>
  </div>
</template>

<script>
import User from './User'
export default {
  name: 'Deals',
  components: {
    User
  },
  data () {
    return {
      showUser: false,
      notifications: [
        {
          boolean: true,
          title: 'Лиды с jurist-dtp в регионы НЕ ПЕРЕДАВАТЬ!',
          id: 1
        },
        {
          boolean: true,
          title: 'Лиды с jurist-dtp в регионы НЕ ПЕРЕДАВАТЬ!',
          id: 2
        },
        {
          boolean: true,
          title: 'Лиды с jurist-dtp в регионы НЕ ПЕРЕДАВАТЬ!',
          id: 3
        }
      ],
      items: [
        {
          title: 'Петя'
        },
        {
          title: 'Васья'
        },
        {
          title: 'Люда'
        },
        {
          title: 'Зина'
        }
      ],
      tags: [
        {
          title: 'Новый', color: '#D6D6D6'
        },
        {
          title: 'Получен контакт', color: '#FFAD62'
        },
        {
          title: 'Жду материалы', color: '#8763F0'
        },
        {
          title: 'Передант в регион', color: '#F9E74D'
        },
        {
          title: 'В работе', color: '#3183FF'
        }
      ],
      dialog: false,
      select: false,
      columns: [
        { title: 'Название', id: 1 },
        { title: 'Ответственный', id: 2 },
        { title: 'Сайт', id: 3 },
        { title: 'Клиент', id: 4 },
        { title: 'Город', id: 5 },
        { title: 'Статус', id: 6 },
        { title: 'Бюджет', id: 7 },
        { title: 'Изменения', id: 8 },
        { title: 'Должник', id: 9 },
        { title: 'Итого', id: 10 },
        { title: 'Оплачено', id: 11 },
        { title: 'Долг', id: 12 },
        { title: 'Поступление', id: 13 },
        { title: 'Изменение', id: 14 },
        { title: 'Продажнику', id: 15 },
        { title: 'Поставщику', id: 16 }
      ],
      tabs: [
        { title: 'Удалить', id: 1 },
        { title: 'Сменить отвественного', id: 2 },
        { title: 'Сменить статус', id: 3 },
        { title: 'Выгрузить .xls', id: 4 }
      ],
      activeTab: 1,
      selected: ['element'], // чекбокс в окне "колонки"
      page: 1
    }
  }
}
</script>

<style lang="scss">
  .deals-title {
    display: flex;
    align-items: center;
  }
  .deal-footer {
    display: flex;
    align-items: center;
    background: #324661;
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.16);
    border-radius: 12px;
    padding: 12px 0;
    color: #FFFFFF;
    .col {
      text-align: center;
    }
  }
  .deal-footer-tabs {
    display: block;
    @media (max-width: 900px) {
      display: none;
    }
  }
  .mobile-tabs {
    display: none;
    @media (max-width: 900px) {
      display: block;
    }
    .deals-tab {
      display: none;
      @media (max-width: 900px) {
        display: block;
      }
    }
  }

</style>
